Pools

Fetch locks information of a specific liquidity pool.

GET/v3/pools/{chain}/{address}/locks
X-API-Key<token>

In: header

Path Parameters

chain*string

Chain id

address*string

Pool address

Response Body

application/json

curl -X GET "https://example.com/v3/pools/ether/0xa29fe6ef9592b5d408cca961d0fb9b1faf497d6d/locks"
{  "amountLocked": 0,  "nextUnlock": {    "provider": "string",    "amount": 0,    "lockDate": "2019-08-24T14:15:22Z",    "unlockDate": "2019-08-24T14:15:22Z"  },  "locks": [    {      "provider": "string",      "amount": 0,      "lockDate": "2019-08-24T14:15:22Z",      "unlockDate": "2019-08-24T14:15:22Z"    }  ]}